<template lang="pug">
    div.bg-fafafa
        div.a4.mx-auto.elevation-5.bg-ffffff.mt-3
            div.wrapper.ma-3
                div.row.mx-4.pt-4
                    div.col-4.border
                        small Project Code
                        div.text-center.w-100
                            | {{getAProject.data.attributes.code}}
                    div.col-2.border.border-left-0
                        small Trench
                        div.text-center.w-100
                            | {{getATrench.data.attributes.number}}
                    div.col-2.border.border-left-0
                        small Context Type
                        div.text-center.w-100
                            | TIMBER
                    div.col-2.border.border-left-0
                        small Site Code
                        div.text-center.w-100
                            | {{getASite.data.attributes.number}}
                    div.col-2.border.border-left-0
                        small Context
                        | {{getATimber.data.attributes.context.number}}
                div.row.mx-4
                    div.col-12.border.border-top-0
                        | Type:
                        br
                        | {{getATimber.data.attributes.details.details_type}}
                        | Setting:
                        br
                        | {{getATimber.data.attributes.details.setting}}
                        | Orientation
                        br
                        | {{getATimber.data.attributes.details.orientation}}
                        | Cross-section
                        br
                        | {{getATimber.data.attributes.details.cross_section}}
                        | Condition
                        br
                        | {{getATimber.data.attributes.details.condition}}
                        | Length
                        br
                        | {{getATimber.data.attributes.details.dimensions_length}}
                        | Width
                        br
                        | {{getATimber.data.attributes.details.dimensions_width}}
                        | Height
                        br
                        | {{getATimber.data.attributes.details.dimensions_height}}
                        | Units
                        br
                        | {{getATimber.data.attributes.details.dimensions_units}}
                        | Conversion
                        br
                        | {{getATimber.data.attributes.details.conversion}}
                        | Tool Markings
                        br
                        | {{getATimber.data.attributes.details.tool_markings}}
                        | Joints &amp; Fixings
                        br
                        | {{getATimber.data.attributes.details.joints_fixings}}
                        | Intentional Marks
                        br
                        | {{getATimber.data.attributes.details.intentional_marks}}
                        | Surface Treatment
                        br
                        | {{getATimber.data.attributes.details.surface_treatment}}
                        | Reuse
                        br
                        | {{getATimber.data.attributes.details.reuse}}
                        | Methods &amp; Conditions
                        br
                        | {{getATimber.data.attributes.details.methods}}
                        | Other Comments
                        br
                        | {{getATimber.data.attributes.details.comments}}
                div.row.mx-4
                    div.col-12.border.border-top-0
                        | Stratigraphic Matrix
                        br
                        span.hover-delete.mx-1.border.p-1.pointer(v-for="(context, index) in getATimber.data.attributes.aboves")
                            | {{context.above}}
                        hr
                        div.row.mx-0
                            | This context is:
                            span.mx-auto.border.p-1 {{getATimber.data.attributes.context.number}}
                        hr
                        span.hover-delete.mx-1.border.p-1.pointer(v-for="(context, index) in getATimber.data.attributes.belows")
                            | {{context.below}}
                div.row.mx-4
                    div.col-12.border.border-top-0
                        | Interpretation:
                        | {{getATimber.data.attributes.details.interpretation}}
                    div.col-8.border.border-top-0
                div.row.mx-4
                    div.col-12.border.border-top-0
                        | Discussion:
                        | {{getATimber.data.attributes.details.discussion}}
                div.row.mx-4
                    div.col-4.border.border-top-0
                        | Plan Nos:
                    div.col-4.border.border-top-0.border-left-0
                        | Site book refs:
                    div.col-4.border.border-top-0.border-left-0
                        | Recorded By: {{getATimber.data.attributes.context.recorded_by}}
                div.row.mx-4
                    div.col-4.border.border-top-0
                        | Other Drawings:
                    div.col-4.border.border-top-0.border-left-0
                        | Matrix Location:
                    div.col-4.border.border-top-0.border-left-0
                        | Recorded Date:
                        span.float-right
                            | {{getATimber.data.attributes.context.recorded_date}}
                div.row.mx-4
                    div.col-8.border.border-top-0
                        | Photographs:
                        span(v-for="photo in getATimber.data.attributes.photos") {{photo}
                    div.col-4.border.border-top-0.border-left-0
                        | Checked By:
                        | Checked By: {{getATimber.data.attributes.context.checked_by}}
                        hr
                        | Checked Date:
                        div.float-right
                            | {{getATimber.data.attributes.context.checked_date}}
                div.row.mx-4.pb-1
                    div.col-3.border.border-top-0
                        | Samples
                    div.col-9.border.border-top-0.border-left-0
                        | Finds
                        div.row
                            div.col.p-0.form-check.text-center.align-text-bottom
                                span(v-if="getATimber.data.attributes.details.finds_none") &#10004;
                                span(v-else) &#10005;
                                br
                                | None
                            div.col.p-0.form-check.text-center.align-text-bottom
                                span(v-if="getATimber.data.attributes.details.finds_pot") &#10004;
                                span(v-else) &#10005;
                                br
                                | Pot
                            div.col.p-0.form-check.text-center.align-text-bottom
                                span(v-if="getATimber.data.attributes.details.finds_bone") &#10004;
                                span(v-else) &#10005;
                                br
                                | Bone
                            div.col.p-0.form-check.text-center.align-text-bottom
                                span(v-if="getATimber.data.attributes.details.finds_glass") &#10004;
                                span(v-else) &#10005;
                                br
                                | Glass
                            div.col.p-0.form-check.text-center.align-text-bottom
                                span(v-if="getATimber.data.attributes.details.finds_metal") &#10004;
                                span(v-else) &#10005;
                                br
                                | Metal
                            div.col.p-0.form-check.text-center.align-text-bottom
                                span(v-if="getATimber.data.attributes.details.finds_cbm") &#10004;
                                span(v-else) &#10005;
                                br
                                | CBM
                            div.col.p-0.form-check.text-center.align-text-bottom
                                span(v-if="getATimber.data.attributes.details.finds_wood") &#10004;
                                span(v-else) &#10005;
                                br
                                | Wood
                            div.col.p-0.form-check.text-center.align-text-bottom
                                span(v-if="getATimber.data.attributes.details.leather") &#10004;
                                span(v-else) &#10005;
                                br
                                | Leather
                    small.logo DigABase
</template>

<script>
import { mapGetters } from "vuex";

export default {
    name: "timber",
    computed: {
        ...mapGetters({
            getAProject: "project/getAProject",
            getATrench: "trench/getATrench",
            getASite: "site/getASite",
            getATimber: "timber/getATimber"
        })
    }
};
</script>

<style scoped>
.bg-fafafa {
    background: #fafafa;
}
.bg-ffffff {
    background: #ffffff;
}
.a4 {
    width: 70.71%;
    padding-bottom: 100%;
    position: relative;
    font-size: 1.25vw;
}
.wrapper {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}
.border {
    border-style: solid;
    border-width: 2px;
}
.border-top {
    border-top-style: solid;
    border-width: 2px;
}
.border-left {
    border-left-style: solid;
    border-width: 2px;
}
.border-right {
    border-right-style: solid;
    border-width: 2px;
}
.border-bottom {
    border-bottom-style: solid;
    border-width: 2px;
}
.border-top-0 {
    border-top-style: none;
}
.border-left-0 {
    border-left-style: none;
}
.border-right-0 {
    border-right-style: none;
}
.borser-bottom-0 {
    border-bottom-style: none;
}
.logo {
    font-family: "Audiowide", cursive;
}
</style>
